--- a/projects/libcxx/include/cmath	2014-04-13 12:26:04.000000000 -0700
+++ b/projects/libcxx/include/cmath	2014-04-13 12:26:44.000000000 -0700
@@ -301,6 +301,22 @@ long double    truncl(long double x);
 #include <math.h>
 #include <type_traits>
 
+#ifdef __APPLE__
+#include <Availability.h>
+#if __MAC_OS_X_VERSION_MAX_ALLOWED < 1070
+/* These prototypes are incorrectly omitted from <math.h> on Snow Leopard despite being available */
+extern "C" {
+    extern long long int llrintl(long double);
+    extern long long int llrint(double);
+    extern long long int llrintf(float);
+
+    extern long long int llroundl(long double);
+    extern long long int llround(double);
+    extern long long int llroundf(float);
+}
+#endif
+#endif // __APPLE__
+
 #ifdef _MSC_VER
 #include "support/win32/math_win32.h"
 #endif
